Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.
CHANGES
LICENSE
README
conf
contrib
man
openssl-1.0.0d
pcre-8.12
src/
CHANGES.ru
Makefile
auto
configure
html/
objs/
openssl-1.0.0d.tar.gz
pcre-8.12.tar.gz


./configure ./configure --with-pcre=/pcre-8.12 --with-openssl=/openssl-1.0.0d
checking for OpenSSL md5 crypto library ... not found

./configure: error: the HTTP cache module requires md5 functions from OpenSSL library.  

You can either disable the module by using --without-http-cache option, or install the OpenSSL library into the system, or build the OpenSSL library statically from the source with nginx by using --with-http_ssl_module --with-openssl=<path> options.

Any Idea?

share|improve this question

1 Answer 1

You need to install the libssl development headers. This requires the libssl-dev package (should be in the repository, or go here for the package file.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.